#####################################
### someone's ansible provisioner ###
#####################################
# Part of: https://git.somenet.org/root/pub/somesible.git
# 2017-2026 by someone <someone@somenet.org>
#
---
dependencies:
# create ansible-remote-management-user and env.
  - { role: base/ansible/setup, tags: ['ansible_setup'], when: 'ansible_setup | bool' }

# prepare automatic self-healing.
  - { role: base/ansible/autoselfheal, tags: ['ansible_setup', 'ansible_setup_autoselfheal'], when: 'ansible_setup | bool and ansible_setup_autoselfheal | bool' }
